Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download JAdmin by GUERNSEY NETWORK LP, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC



Open iTunes to buy and download apps.


Joomla! Administrator is a packet-client of server applications.
Joomla! Admin allows to manage remotely the sites working under CMS Joomla! for version 1.5 from your iPhone.

How Joomla! Admin apps work:
To run Joomla! Admin you need to install MOD_JOOMLA_ADMIN module. MOD_JOOMLA_ADMIN can be installed remotely by Admin from your iPhone or locally through the managing panel Joomla!.

If you want to allow your clients to view your Joomla! site, you need to PUBLISH the module Joomla! in the Admin panel.

Warning! After publishing the module, there will appear the message in your site that your clients can install free App Joomla! Viewer

and search and view Articles.

Joomla! Admin allows you to manage these Joomla features:
* Add/View/Edit/Delete Joomla! Sections
* Add/View/Edit/Delete Joomla! Categories
* Add/View/Edit/Delete Joomla! Articles
* View/Edit/Delete Joomla! Users
* View/Edit/Delete Joomla! Menu Items
* View/Edit/Delete Joomla! Menus
* Search for Sections, Categories, Articles and Users.

If some problem occured, apply to our support service - for help.
Our Admin will get in touch with you and install the managing module in the shortest possible time.

What's New in Version 1.1

* minor stability improvements

iPhone Screenshot

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
View In iTunes
  • 9,99 €
  • Category: Business
  • Updated:
  • Version: 1.1
  • Size: 1.3 MB
  • Language: English
  • Developer:

Compatibility: Requires iOS 4.0 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

0 0 0 We have not received enough ratings to display an average for the current version of this application.